Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(431)

Issue 4814041: Fix for Issue 620. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 years, 11 months ago by MikeSol
Modified:
7 years, 10 months ago
CC:
lilypond-devel_gnu.org
Visibility:
Public.

Description

Fix for Issue 620. Well, kinda... It fixes all of the issues merged into it, but this could be more generic.

Patch Set 1 #

Patch Set 2 : Passes regtests. #

Patch Set 3 : Adds regtest. #

Total comments: 1

Patch Set 4 : Changes name of core-interfaces to bound-alignment-interfaces #

Patch Set 5 : Merges with post-fixcc master #

Patch Set 6 : Adds regtest. #

Patch Set 7 : Rebased against current master. #

Total comments: 10
Unified diffs Side-by-side diffs Delta from patch set Stats (+89 lines, -6 lines) Patch
A input/regression/spanner-alignment.ly View 1 2 3 4 5 1 chunk +33 lines, -0 lines 0 comments Download
M lily/axis-group-interface.cc View 1 2 3 4 3 chunks +38 lines, -2 lines 5 comments Download
M lily/hairpin.cc View 1 2 3 4 2 chunks +4 lines, -1 line 1 comment Download
M lily/include/axis-group-interface.hh View 1 2 3 4 2 chunks +3 lines, -0 lines 2 comments Download
M lily/line-spanner.cc View 1 2 3 4 2 chunks +7 lines, -3 lines 2 comments Download
M scm/define-grob-properties.scm View 1 2 3 4 5 6 1 chunk +2 lines, -0 lines 0 comments Download
M scm/define-grobs.scm View 1 2 3 4 5 6 2 chunks +2 lines, -0 lines 0 comments Download

Messages

Total messages: 15
MikeSol
7 years, 11 months ago (2011-07-20 15:02:06 UTC) #1
pkx166h
It passes make, but I get a lot of reg test issues Mainly I can ...
7 years, 11 months ago (2011-07-20 20:22:19 UTC) #2
mike_apollinemike.com
On Jul 20, 2011, at 10:22 PM, pkx166h@gmail.com wrote: > It passes make, but I ...
7 years, 11 months ago (2011-07-21 06:16:27 UTC) #3
MikeSol
On 2011/07/21 06:16:27, mike_apollinemike.com wrote: > On Jul 20, 2011, at 10:22 PM, mailto:pkx166h@gmail.com wrote: ...
7 years, 11 months ago (2011-07-21 10:28:40 UTC) #4
Neil Puttock
http://codereview.appspot.com/4814041/diff/6001/scm/define-grob-properties.scm File scm/define-grob-properties.scm (right): http://codereview.appspot.com/4814041/diff/6001/scm/define-grob-properties.scm#newcode1000 scm/define-grob-properties.scm:1000: (core-interfaces ,list "Core interfaces to be used for positioning.") ...
7 years, 11 months ago (2011-07-23 20:56:27 UTC) #5
mike_apollinemike.com
On Jul 23, 2011, at 10:56 PM, n.puttock@gmail.com wrote: > > http://codereview.appspot.com/4814041/diff/6001/scm/define-grob-properties.scm > File scm/define-grob-properties.scm ...
7 years, 11 months ago (2011-07-24 08:55:40 UTC) #6
Neil Puttock
On 24 July 2011 09:55, mike@apollinemike.com <mike@apollinemike.com> wrote: > Why is it a bad thing ...
7 years, 11 months ago (2011-07-24 21:22:36 UTC) #7
mike_apollinemike.com
On Jul 24, 2011, at 11:22 PM, Neil Puttock wrote: > On 24 July 2011 ...
7 years, 11 months ago (2011-07-25 11:12:47 UTC) #8
MikeSol
A new version of this patch is up w/ the name of the property changed ...
7 years, 11 months ago (2011-07-27 16:45:02 UTC) #9
pkx166h
Passes Make and reg tests
7 years, 11 months ago (2011-07-27 19:32:24 UTC) #10
Graham Percival (old account)
cannot apply to master due to fixcc.
7 years, 10 months ago (2011-08-03 19:43:52 UTC) #11
MikeSol
On 2011/08/03 19:43:52, Graham Percival wrote: > cannot apply to master due to fixcc. New ...
7 years, 10 months ago (2011-08-05 00:21:45 UTC) #12
Neil Puttock
On 2011/08/05 00:21:45, MikeSol wrote: > Neil - whenever you get the chance, I'd like ...
7 years, 10 months ago (2011-08-14 20:41:18 UTC) #13
Neil Puttock
http://codereview.appspot.com/4814041/diff/24001/lily/axis-group-interface.cc File lily/axis-group-interface.cc (right): http://codereview.appspot.com/4814041/diff/24001/lily/axis-group-interface.cc#newcode82 lily/axis-group-interface.cc:82: Axis_group_interface::relative_maybe_bound_group_extent (vector<Grob*> const &elts, vector<Grob *> http://codereview.appspot.com/4814041/diff/24001/lily/axis-group-interface.cc#newcode109 lily/axis-group-interface.cc:109: vector<Grob*> ...
7 years, 10 months ago (2011-08-14 21:01:24 UTC) #14
MikeSol
7 years, 10 months ago (2011-08-17 09:49:24 UTC) #15
Pushed as ac7aef03ab9d459a6ea6f03d9c127be150871dd4.

Cheers,
MS
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b